MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0023585Community[OCCT] OCCT:Modeling Algorithmspublic2012-11-26 16:272016-12-09 16:38
Reporterheyuqi 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.5.4 
Target Version[OCCT] 7.1.0Fixed in Version[OCCT] 7.1.0 
Summary0023585: Boolean Fuse Operation Fails.
DescriptionI used a fuse operation to merge two parts, but the boolean operation gives an invalid shape.

Attched please find the models to generate incorrect shape by fuse operation.
Steps To ReproduceDraw[1]> pload ALL
1
Draw[2]> restore Solid1.brep a
a
Draw[3]> checkshape a
This shape seems to be valid
Draw[4]> restore Solid2.brep b
b
Draw[5]> checkshape b
This shape seems to be valid
Draw[6]> bop a b
Draw[7]> bopfuse r
Draw[9]> checkshape r
Shape faulty_1 on shape faulty_2 :
BRepCheck_NotClosed

Faulty shapes in variables faulty_1 to faulty_2
TagsNo tags attached.
Test case numberbugs modalg_6 bug23585
Attached Files7z file icon fuse_test_data.7z (25,112 bytes) 2012-11-26 16:27

- Relationships

-  Notes
(0056799)
bugmaster (administrator)
2016-08-17 17:23

Problem is not reproduced on current status of master
(0056878)
git (administrator)
2016-08-19 16:43

Branch CR23585 has been created by inv.

SHA-1: 3636ace63d60ebd83c2f3c64465a69870cf5942e


Detailed log of new commits:

Author: bugmaster
Date: Fri Aug 19 16:44:19 2016 +0300

    0023585: Boolean Fuse Operation Fails.
    Adding test case
(0056879)
bugmaster (administrator)
2016-08-19 16:44

Result of executing bugs modalg_6 bug23585 is OK
(0057127)
git (administrator)
2016-08-26 16:22

Branch CR23585 has been deleted by inv.

SHA-1: 3636ace63d60ebd83c2f3c64465a69870cf5942e

- Related Changesets
occt: master afa6834b
Timestamp: 2016-08-19 13:44:19
Author: bugmaster
Details ] Diff ]
0023585: Boolean Fuse Operation Fails.
Adding test case
add - tests/bugs/modalg_6/bug23585 Diff ] File ]

- Issue History
Date Modified Username Field Change
2012-11-26 16:27 heyuqi New Issue
2012-11-26 16:27 heyuqi Assigned To => jgv
2012-11-26 16:27 heyuqi File Added: fuse_test_data.7z
2016-08-17 17:23 bugmaster Note Added: 0056799
2016-08-17 17:23 bugmaster Assigned To jgv => bugmaster
2016-08-17 17:23 bugmaster Status new => feedback
2016-08-19 16:43 git Note Added: 0056878
2016-08-19 16:44 bugmaster Test case number => bugs modalg_6 bug23585
2016-08-19 16:44 bugmaster Note Added: 0056879
2016-08-19 16:44 bugmaster Status feedback => tested
2016-08-19 16:45 bugmaster Target Version => 7.1.0
2016-08-26 11:53 bugmaster Changeset attached => occt master afa6834b
2016-08-26 11:53 bugmaster Status tested => verified
2016-08-26 11:53 bugmaster Resolution open => fixed
2016-08-26 16:22 git Note Added: 0057127
2016-12-09 16:31 user533 Status verified => closed
2016-12-09 16:38 user533 Fixed in Version => 7.1.0


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker